kr.co.hanwha.hifive.screen.main.home

## Class MainHomePresenter

- java.lang.Object
- - kr.co.hanwha.hifive.screen.main.home.MainHomePresenter

- All Implemented Interfaces:
    BasePresenter, MainHomeContract.Presenter

      public class MainHomePresenter
      extends java.lang.Object
      implements MainHomeContract.Presenter

  메인 - HOME Presenter

  See Also:
    `MainHomeFragment`, `Created by sanghoonkwon on 2018. 1. 25..`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) HanwhaNetworkCallback` | `assignedHanwhaNetworkCallback` HanwhaNetworkCallback
    `private boolean` | `isInitRequest`
    `private android.app.Activity` | `mActivity`
    `private MainHomeAssignedListContract.Model` | `mAdapterModelAssigned`
    `private MainHomeRequestListContract.Model` | `mAdapterModelRequest`
    `private MainHomeAssignedListContract.View` | `mAdapterViewAssigned`
    `private MainHomeRequestListContract.View` | `mAdapterViewRequest`
    `private android.content.Context` | `mContext`
    `private MainHomeContract.View` | `mView`
    `(package private) HanwhaNetworkCallback` | `requestHanwhaNetworkCallback`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MainHomePresenter(android.content.Context context, MainHomeContract.View view, MainHomeAssignedListContract.View adapterViewAssigned, MainHomeAssignedListContract.Model adapterModelAssigned, MainHomeRequestListContract.View adapterViewRequest, MainHomeRequestListContract.Model adapterModelRequest)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `detachView()`
    `void` | `doDeleteRequestClicked(TaskData data)` 요청 삭제
    `void` | `doEvalAcceptClicked(TaskData data)` 평가 수락 선택
    `void` | `doEvalRejectClicked(TaskData data)` 평가 반려 선택
    `void` | `doReRequestClicked(TaskData data)` 수정후 재 요청
    `void` | `doTaskAccept(TaskData data)` TASK 수락
    `void` | `doTaskReject(TaskData data)` TASK 반려
    `private android.app.Activity` | `getActivity()`
    `android.content.Context` | `getContext()`
    `void` | `initData()` Initialize Data
    `void` | `initDataAssigned(boolean needLoading)` Initialize data 나의 업무
    `void` | `initDataRequested(boolean needLoading)` Initialize data 요청한 업무
    `void` | `refreshData()` Refresh Data
    `void` | `updateTodoTaskToTodayTask(TaskData data, boolean isChecked)` 오늘 할 업무 등록 / 해제

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mContext

          private android.content.Context mContext

    - #### mActivity

          private android.app.Activity mActivity

    - #### mView

          private MainHomeContract.View mView

    - #### mAdapterViewAssigned

          private MainHomeAssignedListContract.View mAdapterViewAssigned

    - #### mAdapterModelAssigned

          private MainHomeAssignedListContract.Model mAdapterModelAssigned

    - #### mAdapterViewRequest

          private MainHomeRequestListContract.View mAdapterViewRequest

    - #### mAdapterModelRequest

          private MainHomeRequestListContract.Model mAdapterModelRequest

    - #### isInitRequest

          private boolean isInitRequest

    - #### assignedHanwhaNetworkCallback

          HanwhaNetworkCallback assignedHanwhaNetworkCallback

      HanwhaNetworkCallback

    - #### requestHanwhaNetworkCallback

          HanwhaNetworkCallback requestHanwhaNetworkCallback

  - ### Constructor Detail

    - #### MainHomePresenter

          public MainHomePresenter(@NonNull
                                   android.content.Context context,
                                   @NonNull
                                   MainHomeContract.View view,
                                   @NonNull
                                   MainHomeAssignedListContract.View adapterViewAssigned,
                                   @NonNull
                                   MainHomeAssignedListContract.Model adapterModelAssigned,
                                   @NonNull
                                   MainHomeRequestListContract.View adapterViewRequest,
                                   @NonNull
                                   MainHomeRequestListContract.Model adapterModelRequest)

  - ### Method Detail

    - #### detachView

          public void detachView()

      Specified by:
        `detachView` in interface `BasePresenter`

    - #### getContext

          public android.content.Context getContext()

      Specified by:
        `getContext` in interface `BasePresenter`

    - #### refreshData

          public void refreshData()

      Description copied from interface: `MainHomeContract.Presenter`
      Refresh Data
      Specified by:
        `refreshData` in interface `MainHomeContract.Presenter`

    - #### initData

          public void initData()

      Description copied from interface: `MainHomeContract.Presenter`
      Initialize Data
      Specified by:
        `initData` in interface `MainHomeContract.Presenter`

    - #### initDataAssigned

          public void initDataAssigned(@NonNull
                                       boolean needLoading)

      Description copied from interface: `MainHomeContract.Presenter`
      Initialize data 나의 업무
      Specified by:
        `initDataAssigned` in interface `MainHomeContract.Presenter`
      Parameters:
        `needLoading` - 프로그래스 바 노출

    - #### initDataRequested

          public void initDataRequested(@NonNull
                                        boolean needLoading)

      Description copied from interface: `MainHomeContract.Presenter`
      Initialize data 요청한 업무
      Specified by:
        `initDataRequested` in interface `MainHomeContract.Presenter`
      Parameters:
        `needLoading` - 프로그래스 바 노출

    - #### updateTodoTaskToTodayTask

          public void updateTodoTaskToTodayTask(@NonNull
                                                TaskData data,
                                                boolean isChecked)

      Description copied from interface: `MainHomeContract.Presenter`
      오늘 할 업무 등록 / 해제
      Specified by:
        `updateTodoTaskToTodayTask` in interface `MainHomeContract.Presenter`
      Parameters:
        `data` - TASK 데이터
        `isChecked` - TRUE : TASK -> 오늘할 업무로 추가 FALSE : 오늘 할 업무에서 삭제

    - #### doTaskAccept

          public void doTaskAccept(@NonNull
                                   TaskData data)

      Description copied from interface: `MainHomeContract.Presenter`
      TASK 수락
      Specified by:
        `doTaskAccept` in interface `MainHomeContract.Presenter`
      Parameters:
        `data` - Task 데이터

    - #### doTaskReject

          public void doTaskReject(@NonNull
                                   TaskData data)

      Description copied from interface: `MainHomeContract.Presenter`
      TASK 반려
      Specified by:
        `doTaskReject` in interface `MainHomeContract.Presenter`
      Parameters:
        `data` - Task 데이터

    - #### doEvalAcceptClicked

          public void doEvalAcceptClicked(@NonNull
                                          TaskData data)

      Description copied from interface: `MainHomeContract.Presenter`
      평가 수락 선택
      Specified by:
        `doEvalAcceptClicked` in interface `MainHomeContract.Presenter`
      Parameters:
        `data` - TASK 데이터

    - #### doEvalRejectClicked

          public void doEvalRejectClicked(@NonNull
                                          TaskData data)

      Description copied from interface: `MainHomeContract.Presenter`
      평가 반려 선택
      Specified by:
        `doEvalRejectClicked` in interface `MainHomeContract.Presenter`
      Parameters:
        `data` - TASK 데이터

    - #### doDeleteRequestClicked

          public void doDeleteRequestClicked(@NonNull
                                             TaskData data)

      Description copied from interface: `MainHomeContract.Presenter`
      요청 삭제
      Specified by:
        `doDeleteRequestClicked` in interface `MainHomeContract.Presenter`
      Parameters:
        `data` - TASK 데이터

    - #### doReRequestClicked

          public void doReRequestClicked(@NonNull
                                         TaskData data)

      Description copied from interface: `MainHomeContract.Presenter`
      수정후 재 요청
      Specified by:
        `doReRequestClicked` in interface `MainHomeContract.Presenter`
      Parameters:
        `data` - TASK 데이터

    - #### getActivity

          private android.app.Activity getActivity()